Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031036
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2015-10-02 14:562015-10-20 11:28
ReporterVictorVillarView Statuspublic 
Assigned Toaferraz 
PriorityimmediateResolutionno change requiredFixed in Version
StatusclosedFix in branchFixed in SCM revisiondocumentatio
ProjectionnoneETAnoneTarget Version3.0PR16Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToVictorVillar
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031036: Wrong on hand quantity calculation in Inventory Amount Update

DescriptionWrong on hand quantity calculation in Inventory Amount Update
Steps To ReproduceAs group admin role,
  Create a new product
 Create a purchase order for today
 Create the goods receipt related: movement date = today
    qty: 10000


Create a purchase order. Date: one month ago
 Create the goods receipt related: movement date = one month ago
    qty: 200

Launch the costing background process and check that is finished successfully.

Go to Inventory Amount Update window,
  define a date between the first movement date (one moth ago) and the second one (today). Select the product and check that the qty on hand is 0 and should be 200. Only if the "Fix Backdated Transaction" check = No.

Check the query getStockOnMovementDate in the CostAdjustmentUtils.java
   
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031026 closedaferraz wrong warehouse in the lines of the inventory amount update 

-  Notes
(0080837)
aferraz (developer)
2015-10-06 11:01

Test plan:

As group admin role:

 Create a new product

Create a purchase order for today
Create the goods receipt related: movement date = today
  qty: 10000

Create a purchase order. Date: one month ago
Create the goods receipt related: movement date = one month ago
    qty: 200

Launch the costing background process and check that is finished successfully.

Go to Inventory Amount Update window
Define a date between the first movement date (one moth ago) and the second one (today).
Select the product and check that the qty on hand is 200.

Run Stock Report with the same date and product and realize the stock is the same.
(0081073)
psanjuan (manager)
2015-10-19 12:15
edited on: 2015-10-20 11:10

This is not an issue (defect).

Inventory Amount Update wiki article improved as it explains now that the stock shown will be Ok if the "Fix backdated transaction" flag is active.

Review this wiki article: http://wiki.openbravo.com/wiki/Inventory_Amount_Update#Lines [^]


- Issue History
Date Modified Username Field Change
2015-10-02 14:56 VictorVillar New Issue
2015-10-02 14:56 VictorVillar Assigned To => Triage Finance
2015-10-02 14:56 VictorVillar Modules => Core
2015-10-02 14:56 VictorVillar Triggers an Emergency Pack => No
2015-10-05 12:44 VictorVillar Relationship added related to 0031026
2015-10-05 13:45 aferraz Assigned To Triage Finance => aferraz
2015-10-05 13:45 aferraz Status new => scheduled
2015-10-06 11:01 aferraz Note Added: 0080837
2015-10-09 11:02 aferraz Status scheduled => feedback
2015-10-13 11:56 vmromanos Target Version 3.0PR15Q4 => 3.0PR16Q1
2015-10-19 12:15 psanjuan Note Added: 0081073
2015-10-19 12:40 psanjuan Steps to Reproduce Updated View Revisions
2015-10-19 12:41 psanjuan Note Edited: 0081073 View Revisions
2015-10-19 14:58 psanjuan Note Edited: 0081073 View Revisions
2015-10-20 10:06 psanjuan Note Edited: 0081073 View Revisions
2015-10-20 11:10 psanjuan Note Edited: 0081073 View Revisions
2015-10-20 11:10 psanjuan Status feedback => scheduled
2015-10-20 11:10 psanjuan Status scheduled => resolved
2015-10-20 11:10 psanjuan Resolution open => no change required
2015-10-20 11:10 psanjuan Fixed in SCM revision => documentation
2015-10-20 11:28 VictorVillar Review Assigned To => VictorVillar
2015-10-20 11:28 VictorVillar Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker